cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/history" \
--header "xi-api-key: $BREEZE_API_KEY"import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
items = client.history.list()
for item in items["history"]:
print(item["history_item_id"], item["text"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const items = await client.history.list();
for (const item of items.history) {
console.log(item.historyItemId, item.text);
}{
"history": [
{
"history_item_id": "<string>",
"source": "<string>",
"voice_id": "<string>",
"voice_name": "<string>",
"origin": "<string>",
"model_id": "<string>",
"text": "<string>",
"state": "<string>",
"content_type": "<string>",
"date_unix": 123,
"request_id": "<string>",
"latency_ms": 123,
"http_status": 123,
"billable_units": 123,
"cost": 123,
"cost_millicredits": 123
}
],
"has_more": true,
"total": 123,
"page": 123,
"page_size": 123,
"last_history_item_id": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}History
List history items
List text-to-speech history items.
GET
/
v1
/
history
cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/history" \
--header "xi-api-key: $BREEZE_API_KEY"import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
items = client.history.list()
for item in items["history"]:
print(item["history_item_id"], item["text"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const items = await client.history.list();
for (const item of items.history) {
console.log(item.historyItemId, item.text);
}{
"history": [
{
"history_item_id": "<string>",
"source": "<string>",
"voice_id": "<string>",
"voice_name": "<string>",
"origin": "<string>",
"model_id": "<string>",
"text": "<string>",
"state": "<string>",
"content_type": "<string>",
"date_unix": 123,
"request_id": "<string>",
"latency_ms": 123,
"http_status": 123,
"billable_units": 123,
"cost": 123,
"cost_millicredits": 123
}
],
"has_more": true,
"total": 123,
"page": 123,
"page_size": 123,
"last_history_item_id": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Get a history item
Inspect one generation result.
Download history audio
Download a completed generation.
Managing history
Find, download, and remove past generations.
Authorizations
Breeze Developer API key.
Query Parameters
Filter by voice_id. See List voices.
Filter by model_id. See List models.
Filter by script text.
Sort direction: asc or desc.
Cursor for forward pagination.
Page number for offset pagination.
Required range:
x >= 1Records per page.
Required range:
1 <= x <= 100
